\name{[.dtrace}
\alias{[.dtrace}
\alias{[[.dtrace}
\title{Subsetting of density trace objects}
\description{
These functions perform subsetting of density trace objects.
}
\usage{
x[i]
x[[i]]
}
\arguments{
  \item{x}{An object of class \code{dtrace}.}
  \item{i}{Indexing information}
}
\details{
  The first form of subsetting can be used to produce a \code{dtrace}
  object containing a subset of the original object.

  The second form of subsetting provides access to the internal
  components of and individual density estimate.  The result is
  a list which contains \code{x} and \code{y} components which
  give the actual estimates.
}
\value{
  A subset of the \code{dtrace} object passed as an argument.
}
\author{Ross Ihaka}
\seealso{\code{\link{dtrace}}.}
\examples{
## Estimation and plotting of three densities.
## A demonstration of the formula-based interface.
data(iris)
d <- dtrace(Petal.Width ~ Species, data = iris)
summary(d[1])
plot(d[[2]], type = "l")
}
\keyword{distribution}
\keyword{smooth}
